[转]Dreamweaver“无法更新菜单,将不会安装该扩展”解决方法

原文链接:http://blog.365jieri.cn/dreamweaver-cannot-update-the-menu

个人使用的Dreamweaver CS5官方中文原版,9月初自动更新html5 pack后,就提示“无法更新菜单,将不会安装该扩展”,更要命的是每次开启Dreamweaver都会自动安装扩展且每次都会出现这个错误提示。之前Google,百度均无法找到答案,一度放弃。

今天是中秋节,但不经意打开Dreamweaver还是看到了这个很不友好的提示,于是试着再次Google,发现很多朋友都出现了这个问题,但无法解决。怎么办?只能想到老外,很多时候无法解决的问题都可以在老外网站找到答案的,个人经验。

于是Google一下“无法更新菜单,将不会安装该扩展”的英文“Cannot update the menu Dreamweaver”,终于在第二页找到了个2006年的老帖子,仔细看了下最终在Helene Cornier的解答中找到了个思路,废话不多说,方法如下:

删除C:UsersfeifeiAppDataRoamingAdobeDreamweaver CS5zh_CNConfigurationMenus/下的Menus.xbk以及Menus.xml,然后重新启动Dreamweaver即可成功安装扩展,此方法同样适用无法安装zen coding扩展的朋友。

注意:

  1. 此文件夹为隐藏文件,请设置显示隐藏文件,同时删除这两个文件之前一定要备份;
  2. 路径中username为对应用户名;
  3. 我的使用环境为:Windows 7旗舰版32位原版,Dreamweaver CS5官方中文原版。
  4. 此方法有个弊端,即“打开最近的项目”功能无法使用,一直都为空!!!

以上方法在本机测试完美解决,但是不同用户使用环境不同,不能保证一定有用,仅作为参考!!!

如果您在使用中有任何问题也可以留言,大家一起交流探讨!

以上为转发部分全文,非常感谢原作者帮我解决了一个困扰已久的问题!